Debian

Available patches from Ubuntu

To see Ubuntu differences wrt. to Debian, write down a grep-dctrl query identifying the packages you're interested in:
grep-dctrl -n -sPackage Sources.Debian
(e.g. -FPackage linux-ntfs or linux-ntfs)

Modified packages are listed below:

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: kwidgetsaddons

kwidgetsaddons (5.78.0-2ubuntu1) hirsute; urgency=medium * Merge from debian unstable. Remaining changes: - Kubuntu Vcs fields. - Disable testsuite. - Keep Kubuntu symbols files. -- Rik Mills <rikmills@kde.org> Sun, 31 Jan 2021 15:51:18 +0000

Modifications :
  1. Download patch debian/tests/control

    --- 5.78.0-2/debian/tests/control 2020-12-18 07:19:16.000000000 +0000 +++ 5.78.0-2ubuntu1/debian/tests/control 2021-01-31 15:51:18.000000000 +0000 @@ -1,7 +1,7 @@ -Tests: testsuite -Depends: build-essential, dbus (>= 1.8), openbox, xauth, xvfb, @, @builddeps@ -Restrictions: build-needed, allow-stderr - +#Tests: testsuite +#Depends: build-essential, dbus (>= 1.8), openbox, xauth, xvfb, @, @builddeps@ +#Restrictions: build-needed, allow-stderr +# Tests: acc Depends: dh-acc, exuberant-ctags, @ Restrictions: allow-stderr
  2. Download patch debian/control

    --- 5.78.0-2/debian/control 2021-01-17 02:54:34.000000000 +0000 +++ 5.78.0-2ubuntu1/debian/control 2021-01-31 15:51:18.000000000 +0000 @@ -16,8 +16,8 @@ Build-Depends: cmake (>= 3.5~), qttools5-dev-tools (>= 5.4) Standards-Version: 4.5.1 Homepage: https://invent.kde.org/frameworks/kwidgetsaddons -Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwidgetsaddons -Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwidgetsaddons.git +Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons +Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons Rules-Requires-Root: no Package: libkf5widgetsaddons-data @@ -80,43 +80,3 @@ Description: add-on widgets and classes a wide range of widgets for selecting characters, fonts, colors, actions, dates and times, or MIME types, as well as platform-aware dialogs for configuration pages, message boxes, and password requests. -Breaks: baloo-kf5 (<< 5.42), - frameworkintegration (<< 5.42), - kdesignerplugin (<< 5.54), - kinit (<< 5.42), - kio (<< 5.54), - kross (<< 5.54), - ktexteditor-katepart (<< 5.42), - libkf5bookmarks5 (<< 5.54), - libkf5completion5 (<< 5.54), - libkf5configwidgets5 (<< 5.54), - libkf5declarative5 (<< 5.42), - libkf5iconthemes5 (<< 5.54), - libkf5jobwidgets5 (<< 5.54), - libkf5kcmutils5 (<< 5.54), - libkf5kdelibs4support5 (<< 5.54), - libkf5kdelibs4support5-bin (<< 5.54), - libkf5khtml-bin (<< 5.54), - libkf5khtml5 (<< 5.54), - libkf5kiofilewidgets5 (<< 5.54), - libkf5kiowidgets5 (<< 5.54), - libkf5krossui5 (<< 5.54), - libkf5mediaplayer5 (<< 5.42), - libkf5newstuff5 (<< 5.54), - libkf5notifyconfig5 (<< 5.42), - libkf5parts-plugins (<< 5.54), - libkf5parts5 (<< 5.54), - libkf5peoplewidgets5 (<< 5.54), - libkf5plasma5 (<< 5.42), - libkf5plasmaquick5 (<< 5.42), - libkf5style5 (<< 5.42), - libkf5texteditor5 (<< 5.54), - libkf5textwidgets5 (<< 5.54), - libkf5wallet-bin (<< 5.54), - libkf5webkit5 (<< 5.42), - libkf5xmlgui5 (<< 5.54), - libkwalletbackend5-5 (<< 5.54), - plasma-framework (<< 5.54), - qml-module-org-kde-kio (<< 5.42), - qml-module-org-kde-kquickcontrols (<< 5.54), - qml-module-org-kde-qqc2desktopstyle (<< 5.42)
  3. Download patch debian/libkf5widgetsaddons5.symbols
  1. kwidgetsaddons